List your payments
curl --request GET \
--url https://api.hi-doctor.ai/v1/users/payments/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hi-doctor.ai/v1/users/payments/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hi-doctor.ai/v1/users/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000004",
"consultation_id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000002",
"patient_email": "patient@example.com",
"patient_id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000001",
"provider": "stripe",
"provider_payment_id": "pi_3QexampleExample",
"provider_checkout_id": "cs_test_exampleExample",
"provider_order_id": null,
"provider_order_name": null,
"subscription_id": null,
"is_recurring": false,
"billing_reason": "",
"amount_cents": 2500,
"refunded_amount_cents": 0,
"net_amount_cents": 2500,
"currency": "EUR",
"status": "succeeded",
"failure_code": "",
"failed_at": null,
"description": "Consultation payment",
"captured_at": "2026-08-02T06:46:49.811696Z",
"invoice_url": "https://api.hi-doctor.ai/v1/users/payments/0a1b2c3d-4e5f-4a6b-8c9d-000000000004/invoice/",
"refund": null,
"created_at": "2026-08-02T11:43:49.813651Z",
"updated_at": "2026-08-02T11:43:49.813653Z"
}
]
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid"
}
]
}Records
List your payments
Self-scoped.
GET
/
v1
/
users
/
payments
/
List your payments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Which field to use when ordering the results.
Number of results to return per page.
The initial index from which to return the results.
⌘I